In this section, we investigate two reasonable scenarios of the optimal multitype sensor placement problem and propose two greedy approaches with provable approximation guarantees.
3.1. OnewithAll Case
We start with the simplest condition where each station is equipped with all types of sensors. Let
${c}_{all}:={c}_{site}+{\sum}_{i=1}^{T}{c}_{T}$ denote the cost of a station (with all type of sensors). In this case, we have
${A}_{1}={A}_{2}=\cdots ={A}_{T}$ and the general cost constraint reduces to the cardinality constraint
$\leftA\right\le \lfloor \frac{B}{{c}_{all}}\rfloor $ where
$\lfloor x\rfloor $ denotes the floor function mapping
x to the greatest integer less than or equal to
x. Let
$A:={A}_{1}={A}_{2}=\cdots ={A}_{T}$ denote the placement scheme and
K denote the total number of stations we can deploy. Then, the problem becomes:
However, the optimal solution of the above multiobjective optimization does not exist. The reason is that different pollutant fields are likely to exhibit different spatial patterns due to different generation process.
Figure 3 visualizes the different spatial characteristic of
${\mathrm{NO}}_{2}$ and
${\mathrm{PM}}_{2.5}$ in Hong Kong. The variance of the random variable at each monitored location is estimated with the hourly measurement data during Year 2017. As shown in
Figure 3, the high variance locations with respect to
${\mathrm{PM}}_{2.5}$ are not always the locations where the variances are high with respect to
${\mathrm{NO}}_{2}$.
Instead, we can always find the Paretooptimal solutions [
24] of the above multiobjective problem. We say a placement scheme
A is Pareto optimal if there is no other scheme
${A}^{\prime}$ such that
${f}_{i}({A}^{\prime})\ge {f}_{i}(A)$ for all
i and
${f}_{j}({A}^{\prime})>{f}_{j}(A)$ for some
j. In other words,
A is Paretooptimal if there is no other placement scheme that is no worse than
A in all objectives and is strictly better than
A in at least one objective
${f}_{j}$.
One standard approach to find such solutions is the weighted sum transformation/scalarization [
24]:
where
${w}_{i}>0$ denotes the weight parameter of the
ith objective function and we have
${\sum}_{i=1}^{T}{w}_{i}=1$. By default, we can choose
${w}_{1}={w}_{2}=\cdots ={w}_{T}=\frac{1}{T}$. Since submodularity is closed under linear combinations, the new objective function is also submodular. Hence, we can use the greedy approach to solve the problem for this case. The detail is summarized in Algorithm 1.
Algorithm 1 Multitype sensor deployment algorithm for onewithall case 
Input: Station number constraint K, a set of grids V, objective function ${f}_{1},{f}_{2},\cdots ,{f}_{T}$, weights ${w}_{1},{w}_{2},\cdots ,{w}_{T}$ Output: A subset of locations $A\subseteq V$ $A=\varnothing $ while $\leftA\right\le K$ do select location s that has the highest incremental gain ${\sum}_{i=1}^{T}{w}_{i}({f}_{i}(A\cup \left\{s\right\}){f}_{i}(A))$ add s to location set A end while return A

Proposition 1. Algorithm 1 finds a solution A such that ${\sum}_{i=1}^{T}{w}_{i}{f}_{i}(A)\ge (11/e){\sum}_{i=1}^{T}{w}_{i}{f}_{i}({A}^{\ast})$ where ${A}^{\ast}$ is the Paretooptimal solution with weight parameters ${w}_{1},{w}_{2},\cdots ,{w}_{T}$.
Using the fact that the objective function is monotone and submodular, it directly follows from Theorem 3.
3.2. General Case
A more general scenario is when each station is only required to install at least one sensor. Take the weather monitoring stations in Hong Kong for example, many stations only contain some of the sensors, such as temperature, pressure, rainfall, etc. In this case, increasing the information gain of one type of sensor will decrease the information gain in another due to the total budget constraint. Hence, we adopt a similar weighted sum transformation approach and aim to solve the follow optimization:
where
${w}_{i}>0$ denotes the weight parameter of the
ith objective function and we have
${\sum}_{i=1}^{c}{w}_{i}=1$.
To understand the difficulty of the optimization, we first investigate the structure of the cost constraint. Let
${k}_{i}\in \mathbb{N}$ denote the number of sensors for the
ith type and
$K\in {\mathbb{N}}^{+}$ denote the total number of stations of the placement scheme
$\mathbf{A}$. Then, the cost constraint can be rewritten as:
Proposition 2. Let ${\mathbf{A}}^{\ast}$ denote the optimal placement scheme. If ${K}^{\ast}\ge T$ and ${k}_{i}^{\ast}\ge 1\phantom{\rule{0.277778em}{0ex}}\forall i\in \left[T\right]$, when $\lfloor \frac{B{\sum}_{i=1}^{T}({c}_{i}{min}_{i}{c}_{i})}{{c}_{site}+{min}_{i}{c}_{i}}\rfloor =\lfloor \frac{B}{{c}_{all}}\rfloor $, the cost constraints in Equations (16)–(18) can be reduced to the cardinality constraint ${k}_{1}={k}_{2}=\cdots ={k}_{T}=K=\lfloor \frac{B}{{c}_{all}}\rfloor $ for the optimal multitype sensor placement.
Proof. Since the objective function ${f}_{i}$ is nondecreasing for each i, we aim to find the optimal integer solutions $({k}_{1},{k}_{2},\cdots ,{k}_{T})$ subject to the budget constraint in order the maximize the overall information gain.
Since the total sensor costs ${\sum}_{i=1}^{T}{c}_{i}\xb7{k}_{i}$ when there is K stations is at most ${\sum}_{i=1}^{T}{c}_{i}\xb7K$, we know that the achievable number of stations K is at least ${k}_{min}:=\lfloor \frac{B}{{c}_{all}}\rfloor $ and equality is achieved when each station is equipped with all types of sensors (onewithall case).
In the meantime, since ${\sum}_{i=1}^{T}{c}_{i}\xb7{k}_{i}$ is at least ${min}_{i}{c}_{i}\xb7(KT)+{\sum}_{i=1}^{T}{c}_{i}$ if we assume that there is at least one sensor for each type, we know that the achievable number of stations K is at most ${k}_{max}:=\lfloor \frac{B{\sum}_{i=1}^{T}({c}_{i}{min}_{i}{c}_{i})}{{c}_{site}+{min}_{i}{c}_{i}}\rfloor $ and equality is achieved when each location is equipped with one sensor for each type, except for the cheapest type with $(KT+1)$ sensors.
Therefore, when ${k}_{max}={k}_{min}$, K is unique and ${k}_{1}={k}_{2}=\cdots ={k}_{T}=K$ can be achieved. Then, the cost constraints can be reduced to the cardinality constraint ${k}_{1}={k}_{2}=\cdots ={k}_{T}=K=\lfloor \frac{B}{{c}_{all}}\rfloor $. ☐
Remark 1. The assumptions that $K>T$ and ${k}_{i}\ge 1\phantom{\rule{0.277778em}{0ex}}\forall i\in \left[T\right]$ is usually naturally satisfied with a reasonable budget that allows to place at least one sensor for each type of pollutant, as otherwise there be entirely no measurement for some types of field, making the total uncertainty still quite high.
Proposition 2 gives the condition when the general case reduces to the onewithall case. This usually happens when ${c}_{site}\gg {c}_{i}$ for all $i\in \left[T\right]$. In other words, when the sensor costs are negligible compared with the site construction costs, each station should be equipped with all types of sensors. The budget constraint limits the number of stations we can deploy.
In the following, we focus on the case when the cost constraint is not reducible to the onewithall case. One might consider to greedily place sensors until the cost constraint can no longer be satisfied, i.e., at each step, we consider the location
${s}^{\ast}$ to place type
${i}^{\ast}$ sensor such that
and confirm the selection if its cost is acceptable.
${A}_{i}$ here refers to the current selected location set for the
ith field. However, the solution can be arbitrarily bad as a sensor providing information gain
g will always be preferred over a sensor providing information gain
$g\u03f5$ despite a much higher cost. Alternatively, we can consider to greedily assign sensors based on information gain per cost, i.e., at each step, we consider the location
${s}^{\ast}$ to place type
${i}^{\ast}$ sensor such that
and confirm the selection if its cost is acceptable.
${\u25b3}_{i,s}c(\mathbf{A})$ denotes its current cost. However, the solution can still be arbitrarily bad, as a cheap sensor
$\u03f5$ with a higher information gain per cost (
$2\u03f5/\u03f5=2$) will always be preferred over an expensive sensor
B providing higher information gain
B despite the remaining budget
B only allows one to be selected and the better solution is to choose the expensive sensor.
Fortunately, the following theorem shows that the two solutions cannot be bad at the same time.
Theorem 2. Let ${\mathbf{A}}_{G}$ denote the solution by greedy selection with the criteria in Equation (19) and ${\mathbf{A}}_{CG}$ denote the solution by cost effective greedy selection with the criteria in Equation (20). If the submodular function ${f}_{1},{f}_{2},\cdots ,{f}_{T}$ are monotone and $f(\varnothing )=0$, then we have Proof. Let $\widehat{V}:=\{1,2,\cdots ,nT\}$ denote a new set with $\widehat{V}=T\xb7V$. Then, each placement scheme $\mathbf{A}:=\{{A}_{1},{A}_{2},\cdots ,{A}_{T}\}$ corresponds to exactly one subset $\widehat{A}\subseteq \widehat{V}$ such that $\widehat{A}=\{s+(i1)\times T:\forall s\in {A}_{i}\phantom{\rule{0.277778em}{0ex}}\forall i=\left[T\right]\}$. Let $f:{2}^{\widehat{V}}\to R$ denote a set function such that $f(\widehat{A})={\sum}_{i=1}^{T}{w}_{i}{f}_{i}({A}_{i})$. It is obvious that $f(\varnothing )=0$.
We first show that f is nondecreasing. Let $\widehat{B}\subseteq \widehat{V}$ denote the corresponding set for placement scheme $\mathbf{B}$. Since for all $\widehat{A}\subseteq \widehat{B}\subseteq \widehat{V}$, we know that ${A}_{i}\subseteq {B}_{i}$ for all $i\in \left[T\right]$, then $f(\widehat{B})={\sum}_{i=1}^{T}{w}_{i}{f}_{i}({B}_{i})\ge {\sum}_{i=1}^{T}{w}_{i}{f}_{i}({A}_{i})=f(\widehat{A})$ and hence f is nondecreasing.
We then show that f is submodular. For $\widehat{s}\in \widehat{V}\backslash \widehat{B}$, let $j\in \left[T\right]$ denote its corresponding type and $s\in V$ denote its corresponding location. Then, $f(\widehat{B}\cup \left\{\widehat{s}\right\})f(\widehat{B})={w}_{j}({f}_{j}({B}_{j}\cup \left\{s\right\}){f}_{j}({B}_{j}))\ge {w}_{j}({f}_{j}({A}_{j}\cup \left\{s\right\}){f}_{j}({A}_{j}))=f(\widehat{A}\cup \left\{\widehat{s}\right\})f(\widehat{A})$ and hence f is submodular.
Therefore,
f is nondecreasing and submodular with
$f(\varnothing )=0$ and by Theorem 3 in [
9] which is a generalization of the Theorem in [
25] for the special case of the budgeted maxcover problem, we know that
$max\{{\mathbf{A}}_{G},{\mathbf{A}}_{CG}\}\ge \frac{1}{2}(11/e){max}_{\mathbf{A}:c(\mathbf{A})\le B}{\sum}_{i=1}^{T}{w}_{i}{f}_{i}({A}_{i})$. The proof is now complete. ☐
Let
$\mathbf{V}:=\{V,V,\cdots ,V\}$ and
${\u25b3}_{i,s}c(\mathbf{A})$ denotes the incremental cost of adding type
i sensor at location
s when the existing placement scheme is
$\mathbf{A}$. Then, we know that
With the help of above additional notations, we now summarize the proposed hybrid greedy selection approach for the general multitype sensor placement in Algorithm 2.
Algorithm 2 Multitype sensor deployment algorithm for the general cost case 
Input: Budget B, a set of grid index V, objective function ${f}_{1},{f}_{2},\cdots ,{f}_{T}$, weights ${w}_{1},{w}_{2},\cdots ,{w}_{T}$, site construction cost ${c}_{site}$, sensor cost ${c}_{1},{c}_{2},\cdots ,{c}_{T}$ Output: A placement scheme $\mathbf{A}\subset \mathbf{V}$ ${\mathbf{A}}^{\prime}={\mathbf{A}}^{\u2033}=\varnothing ,{\mathbf{V}}^{\prime}={\mathbf{V}}^{\u2033}=\mathbf{V},{B}^{\prime}={B}^{\u2033}=B$ while the search space ${\mathbf{V}}^{\prime}$ is not empty do Select location s for placing the ith type sensor that has the highest incremental gain ${w}_{i}({f}_{i}({A}_{i}^{\prime}\cup \left\{s\right\}){f}_{i}({A}_{i}^{\prime}))$ if the incremental cost ${\u25b3}_{i,s}c({\mathbf{A}}^{\prime})$ is less than the remaining budget ${B}^{\prime}$ then Update the remaining budget ${B}^{\prime}={B}^{\prime}{\u25b3}_{i,s}c({\mathbf{A}}^{\prime})$ and add location s to the location set ${A}_{i}^{\prime}$ end if Remove location s from search space ${V}_{i}^{\prime}$ end while while the search space ${\mathbf{V}}^{\u2033}$ is not empty do Select location s for placing the ith type of sensor that has the highest costeffective gain $\frac{{w}_{i}({f}_{i}({A}_{i}^{\prime}\cup \left\{s\right\}){f}_{i}({A}_{i}^{\prime}))}{{\u25b3}_{i,s}c({\mathbf{A}}^{\u2033})}$ if the cost ${\u25b3}_{i,s}c({\mathbf{A}}^{\u2033})$ is less than the remaining budget ${B}^{\u2033}$ then Update the remaining budget ${B}^{\u2033}={B}^{\u2033}{\u25b3}_{i,s}c({\mathbf{A}}^{\u2033})$ and add location s to the location set ${A}_{i}^{\u2033}$ end if Remove location s from search space ${V}_{i}^{\u2033}$ end while Select the better scheme $\mathbf{A}=arg{max}_{\mathbf{A}\in \{{\mathbf{A}}^{\prime},{\mathbf{A}}^{\u2033}\}}{\sum}_{i=1}^{T}{w}_{i}{f}_{i}({A}_{i})$ return $\mathbf{A}$

Proposition 3. The time complexity of Algorithm 2 is $O(\lfloor \frac{B}{{min}_{i}{c}_{i}}\rfloor TV)$.
Sviridenko [
26] showed that it is even possible to achieve the approximation ratio of
$11/e$ for the general cost case; however, the algorithm requires an enumeration over all feasible sets of cardinality three and hence its complexity for our problem is
$O(\lfloor \frac{B}{{min}_{i}{c}_{i}}\rfloor {T}^{4}V{}^{4})$, which is impractical.
In many real cases, the bound is not tight. Hence, we also provide a tighter online bound for arbitrary placement scheme derived with the submodularity property.
Theorem 3 (Online bound)
. For a given placement scheme $\tilde{\mathbf{A}}=\{\tilde{{A}_{1}},\tilde{{A}_{2}},\cdots ,\tilde{{A}_{c}}\}$ and each $s\in V\backslash \tilde{{A}_{i}}$, let ${\delta}_{i,s}={w}_{i}({f}_{i}(\tilde{{A}_{i}}\cup \left\{s\right\}){f}_{i}(\tilde{{A}_{i}}))$. Let ${r}_{i,s}={\delta}_{i,s}/{c}_{i,s}$ where ${c}_{i,s}$ denotes the incremental cost of adding the ith type of sensor to location s. Let ${s}_{1},{s}_{2},\cdots ,{s}_{m}$ be the sequence of locations with ${r}_{i,s}$ in descending order and ${p}_{1},{p}_{2},\cdots ,{p}_{m}$ be the sequence of selected types. Let k be such that $C={\sum}_{i=1}^{k1}{c}_{{p}_{i},{s}_{i}}\le B$ and ${\sum}_{i=1}^{k}{c}_{{p}_{i},{s}_{i}}>B$. Let $\lambda =(BC)/{c}_{{p}_{k},{s}_{k}}$. Then